### Method

# GExiv2 Metadata get_exposure_time

unstable since: 0.16.0

#### Declaration [src]

    gboolean
    gexiv2_metadata_get_exposure_time (
      GExiv2Metadata* self,
      gint* nom,
      gint* den,
      GError** error
    )

#### Description [src]

Returns the exposure time in seconds (shutter speed, not date-time of exposure) as a rational. See https://en.wikipedia.org/wiki/Shutter_speed for more information.

Available since: 0.16.0

#### Parameters

`nom`

  Type: `gint*`

  The numerator.

  The argument will be set by the function.

`den`

  Type: `gint*`

  The denominator.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success value.